Last modified: 2012-01-10 23:15:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33538 - Line numbers are outside of left border when using <source ... line start= > on RTL wikis
Line numbers are outside of left border when using <source ... line start= ...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
SyntaxHighlight (GeSHi) (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-01-05 13:06 UTC by reza1615
Modified: 2012-01-10 23:15 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description reza1615 2012-01-05 13:06:11 UTC
I checked in ar, he, fa (rtl wikis) that Syntax highlighting has problem with  "line start=" argument and I changed my personal common.css but it changes margin of all <source>.
would you please solve it or tell me which code we have to add to MediaWiki:common.css or MediaWiki:Geshi.css to solve it?
sample:
http://fa.wikipedia.org/wiki/%DA%A9%D8%A7%D8%B1%D8%A8%D8%B1:Reza1615/syntax
Comment 1 Bawolff (Brian Wolff) 2012-01-05 13:24:33 UTC
Hmm, thats kind of odd.

In my testing with firebug, replace the 'mw-content-rtl' class with 'mw-content-ltr' on the content div magically fixed everything, but what's actually going on here is a bit beyond me.
Comment 2 Robin Pepermans (SPQRobin) 2012-01-05 19:48:18 UTC
Fixed in r108171: the source tag now has an mw-content-ltr class. (The page itself should still have a mw-content-rtl because the text is supposed to be in Persian, but the source code is LTR).
Comment 3 Liangent 2012-01-06 04:18:33 UTC
(In reply to comment #2)
> Fixed in r108171: the source tag now has an mw-content-ltr class. (The page
> itself should still have a mw-content-rtl because the text is supposed to be in
> Persian, but the source code is LTR).

Will this break stuff that expect a .mw-content-ltr containing all contents?
Comment 4 Robin Pepermans (SPQRobin) 2012-01-06 13:27:55 UTC
Yes, it will break. You should not expect that, mw-content-ltr/rtl is designed to be used for all kinds of wikitext, both a whole page, sections of a page, and other things like e.g. CodeReview comments.

(See https://www.mediawiki.org/wiki/Directionality_support#Wiki_content for some more info)
Comment 5 Liangent 2012-01-06 14:24:53 UTC
(In reply to comment #4)
> Yes, it will break. You should not expect that, mw-content-ltr/rtl is designed
> to be used for all kinds of wikitext, both a whole page, sections of a page,
> and other things like e.g. CodeReview comments.
> 
> (See https://www.mediawiki.org/wiki/Directionality_support#Wiki_content for
> some more info)

It was a good selector for all parser-generated stuff... and I (maybe also others) really want one.
Comment 6 Robin Pepermans (SPQRobin) 2012-01-10 23:15:05 UTC
(In reply to comment #5)
> It was a good selector for all parser-generated stuff... and I (maybe also
> others) really want one.

Maybe open a bug to request such a class (maybe there's already a bug). It's easy to add.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links